Bug 21388 - heap corruption vulnerability
Summary: heap corruption vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slocate   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-27 19:34 UTC by Daniel Roesen
Modified: 2014-03-17 02:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-18 07:35:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2000:128 normal SHIPPED_LIVE : New slocate packages available to fix local group slocate compromise 2000-12-19 05:00:00 UTC

Description Daniel Roesen 2000-11-27 19:34:07 UTC
See:

http://www.securityfocus.com/archive/1/147078

The exploit leads to an egid=21(slocate) shell. Tested on RH 6.1,
but all versions of slocate shipped with at least RH 6.0 to RH 7 are
vulnerable.

Comment 1 Daniel Roesen 2000-12-28 15:44:17 UTC
closing as errata release is out.


Note You need to log in before you can comment on or make changes to this bug.